Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LifecyclePolicyActionSpecification

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.LifecyclePolicyActionSpecification

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieLifecyclePolicyActionSpecification

    public class LifecyclePolicyActionSpecification

extends TieSystemObject

A LifecyclePolicyActionSpecification represents

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The name of the attribute that holds the description of this LifecyclePolicyActionSpecification.
`static java.lang.String` | `LIFECYCLEPOLICYACTIONCLASSNAME_ATTRIBUTE` The name of the attribute that holds fully-qualified class name of the LifecyclePolicyAction class.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the attribute that holds the name of this LifecyclePolicyActionSpecification.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `LifecyclePolicyActionSpecification(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a LifecyclePolicyActionSpecification object.

Method Summary
`static LifecyclePolicyActionSpecification[]` | `findAll(LibrarySession session)` Returns the set of defined LifecyclePolicyActionSpecifications.
`static LifecyclePolicyActionSpecification` | `findByName(LibrarySession session, java.lang.String name)` Returns the a LifecyclePolicyActionSpecification matching the specified name.
`java.lang.String` | `getDescription()` Gets the description of this LifecyclePolicyActionSpecification.
`LifecyclePolicyAction` | `getLifecyclePolicyAction()` Gets the LifecyclePolicyAction instance implementation corresponding to the LifecyclePolicyActionClassName.
`java.lang.String` | `getLifecyclePolicyActionClassName()` Gets the fully-qualified class name of the LifecyclePolicyAction class.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`protected void` | `preCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the creation of a PublicObject.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`protected void` | `preUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the update of a PublicObject.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `LifecyclePolicyActionSpecification`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `LifecyclePolicyActionSpecification`
  The name of the attribute that holds the name of this LifecyclePolicyActionSpecification. (String[700])

  See Also:
    Constant Field Values

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `LifecyclePolicyActionSpecification`
  The name of the attribute that holds the description of this LifecyclePolicyActionSpecification. (String[2000])

  See Also:
    Constant Field Values

### LIFECYCLEPOLICYACTIONCLASSNAME_ATTRIBUTE

    public static final java.lang.String LIFECYCLEPOLICYACTIONCLASSNAME_ATTRIBUTE

  Description copied from class: `LifecyclePolicyActionSpecification`
  The name of the attribute that holds fully-qualified class name of the LifecyclePolicyAction class. (String[700])

  See Also:
    Constant Field Values

Constructor Detail

### LifecyclePolicyActionSpecification

    protected LifecyclePolicyActionSpecification(LibrarySession session,
                                                 java.lang.Long id,
                                                 java.lang.Long classId,
                                                 S_LibraryObjectData data)
                                          throws IfsException

  Construct a LifecyclePolicyActionSpecification object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Gets the description of this LifecyclePolicyActionSpecification.

  Returns:
    the object description
  Throws:
    `IfsException` - if operation fails

### getLifecyclePolicyActionClassName

    public java.lang.String getLifecyclePolicyActionClassName()
                                                       throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Gets the fully-qualified class name of the LifecyclePolicyAction class.

  Returns:
    the class name of the LifecyclePolicyAction
  Throws:
    `IfsException` - if operation fails

### findAll

    public static LifecyclePolicyActionSpecification[] findAll(LibrarySession session)
                                                        throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Returns the set of defined LifecyclePolicyActionSpecifications.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of LifecyclePolicyActionSpecifications; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static LifecyclePolicyActionSpecification findByName(LibrarySession session,
                                                                java.lang.String name)
                                                         throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Returns the a LifecyclePolicyActionSpecification matching the specified name.

  LifecyclePolicyActionSpecification names are case sensitive, so this operations requires an exact match with respect to case.

  Parameters:
    `session` - the session context
    `name` - the LifecyclePolicyActionSpecification name
  Returns:
    the LifecyclePolicyActionSpecification matching the specified name; or null if there exists no matching LifecyclePolicyActionSpecification
  Throws:
    `IfsException` - if the operation fails.

### preCreate

    protected void preCreate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Extensibility point to perform actions prior to the creation of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preCreate` in class `SystemObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails

### preUpdate

    protected void preUpdate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Extensibility point to perform actions prior to the update of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preUpdate` in class `SystemObject`
  Parameters:
    `lodef` - definition used to define how the target object will be updated
  Throws:
    `IfsException` - if operation fails

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `LibraryObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  This method is typically overridden by subclasses that perform other operations prior to the target object being freed in order to all delete or modify objects related to the target object. Subclasses are expected to invoke `super.preFree`.

  Overrides:
    `preFree` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### getLifecyclePolicyAction

    public final LifecyclePolicyAction getLifecyclePolicyAction()
                                                         throws IfsException

  Description copied from class: `LifecyclePolicyActionSpecification`
  Gets the LifecyclePolicyAction instance implementation corresponding to the LifecyclePolicyActionClassName.

  This implementation is cached for use by the session associated with this instance. There is no guarantee that there is only one implementation in use for the session if the session is used in multiple threads.

  Returns:
    the LifecyclePolicyAction implementation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `LibraryObject`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD